import java.util.Scanner;
public class Quiz02
{
  public static void main(String args[])
  {
    Scanner teclado=new Scanner(System.in);
    System.out.println("Tablas de operadores");
    String opcion = "+";
    double valorminimo=0.0;
    double valormaximo=0.0;
    double incremento=0.0;
    while (!(opcion.equalsIgnoreCase("Salir")))
      
      
    {
      
      System.out.println("operador[+ | - | * | / | % | Salir]");
      opcion = teclado.nextLine();
      
      switch(opcion)
      {
        case "+":
          System.out.println("Valor minimo:");
          valorminimo=teclado.nextDouble();
          System.out.println("Valor maximo");
          valormaximo=teclado.nextDouble();
          System.out.println("Incremento");
          incremento=teclado.nextDouble();
          while(incremento<=0)
          {
            System.out.println("Incremento");
            incremento=teclado.nextDouble();
          }
          System.out.printf("%8s","+ |");
          for(double fila=valorminimo; fila<=valormaximo; fila=fila+incremento)
            System.out.printf("%-5.1f", fila);
          
          System.out.println();
          
          
          for(double i =valorminimo;i<=valormaximo;i=i+incremento)
          {
            System.out.print("-------");
            
          }
          System.out.println();
          
          
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento )
          {
            System.out.printf("%6.1f |", fila);
            for ( double columna = valorminimo; columna <= valormaximo; columna=columna+incremento )
            {
              
              System.out.printf("%-5.1f",fila+columna);
            }
            
            System.out.println();
          }
          break;  
        case "-":
          System.out.println("Valor minimo:");
          valorminimo=teclado.nextDouble();
          System.out.println("Valor maximo");
          valormaximo=teclado.nextDouble();
          System.out.println("Incremento");
          incremento=teclado.nextDouble();
          while(incremento<=0)
          {
            System.out.println("Incremento");
            incremento=teclado.nextDouble();
          }
          System.out.printf("%8s","- |");
          for(double fila=valorminimo; fila<=valormaximo; fila=fila+incremento)
            System.out.printf("%-5.1f", fila);
          
          System.out.println();
          
          for(double i =valorminimo;i<=valormaximo;i=i+incremento)
          {
            System.out.print("-------");
            
          }
          System.out.println();
          
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento )
          {
            System.out.printf("%6.1f |", fila);
            for ( double columna = valorminimo; columna <= valormaximo; columna=columna+incremento )
            {
              
              
              System.out.printf("%-5.1f",fila-columna);  
            }
            System.out.println();
          }
          break;  
        case "*":
          System.out.println("Valor minimo:");
          valorminimo=teclado.nextDouble();
          System.out.println("Valor maximo");
          valormaximo=teclado.nextDouble();
          System.out.println("Incremento");
          incremento=teclado.nextDouble();
          while(incremento<=0)
          {
            System.out.println("Incremento");
            incremento=teclado.nextDouble();
          }
          System.out.printf("%8s","* |");
          for(double fila=valorminimo; fila<=valormaximo; fila=fila+incremento)
            System.out.printf("%-5.1f", fila);
          
          System.out.println();
          for(double i =valorminimo;i<=valormaximo;i=i+incremento)
          {
            System.out.print("-------");
            
          }
          System.out.println();
          
          
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento )
          {
            System.out.printf("%6.1f |", fila);
            for ( double columna = valorminimo; columna <= valormaximo; columna=columna+incremento )
              System.out.printf("%-5.1f",fila*columna);
            System.out.println();
          }
          break;  
        case "/":
          System.out.println("Valor minimo:");
          valorminimo=teclado.nextDouble();
          System.out.println("Valor maximo");
          valormaximo=teclado.nextDouble();
          System.out.println("Incremento");
          incremento=teclado.nextDouble();
          while(incremento<=0)
          {
            System.out.println("Incremento");
            incremento=teclado.nextDouble();
          }
          System.out.printf("%8s","/ |");
          for(double fila=valorminimo; fila<=valormaximo; fila=fila+incremento)
            System.out.printf("%-5.1f", fila);
          
          System.out.println();
          
          for(double i =valorminimo;i<=valormaximo;i=i+incremento)
          {
            System.out.print("-------");
            
          }
          System.out.println();
          
          
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento )
            
          {
            System.out.printf("%6.1f |", fila);
            for ( double columna = valorminimo; columna <= valormaximo; columna=columna+incremento )
              System.out.printf("%-5.1f",(fila/columna)); 
            System.out.println();
          }
          break;
        case "%":
          System.out.println("Valor minimo:");
          valorminimo=teclado.nextDouble();
          System.out.println("Valor maximo");
          valormaximo=teclado.nextDouble();
          System.out.println("Incremento");
          incremento=teclado.nextDouble();
          while(incremento<=0)
          {
            System.out.println("Incremento");
            incremento=teclado.nextDouble();
          }
          System.out.printf("%8s","% |");
          for(double fila=valorminimo; fila<=valormaximo; fila=fila+incremento)
            System.out.printf("%-5.1f", fila);
          
          System.out.println();
          for(double i =valorminimo;i<=valormaximo;i=i+incremento)
          {
            System.out.print("-------");
            
          }
          System.out.println();
          
          
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento )
          {
            System.out.printf("%7.1f |", fila);
            for ( double columna = valorminimo; columna <= valormaximo; columna=columna+incremento )
              System.out.printf("%-5.1f",fila%columna);
            
            System.out.println();
          }
          break;         
      }
    }
  }
}